## revpi-security 0.3.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

cmake_minimum_required(VERSION 3.13)

project(revpi-security LANGUAGES NONE)

include(GNUInstallDirs)

add_subdirectory(firewalld)
add_subdirectory(pam)
add_subdirectory(ssh)

=== firewalld/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

add_subdirectory(services)

=== pam/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

install(FILES revpi-faillock
	DESTINATION ${CMAKE_INSTALL_DATADIR}/pam-configs
)

=== ssh/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

install(FILES revpi-max-startups.conf
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/ssh/sshd_config.d/
)

=== firewalld/services/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

# no variable exists in GNUInstallDirs for /usr/lib or /lib, so go from
# /usr/share to /usr/lib another way
install(FILES revpi-codesys.xml
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/../lib/firewalld/services
)

=== debian/changelog ===
revpi-security (0.3.0-1+deb12+1) bookworm; urgency=medium

  * feat(ssh): limit unauth'ed connections in sshd
  * deb: add revpi-security-ssh package

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 03 Nov 2025 11:22:44 +0100

revpi-security (0.2.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * feat(pam): use configured faillock values

  [ Sven Sager ]
  * feat(firewalld): Add firewalld service definition for CODESYS Control
  * doc(firewalld): Add information about `services/revpi-codesys.xml`

  [ Thomas Böhler ]
  * build: add cmake for installation
  * feat(deb): add revpi-firewalld-services package

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 01 Aug 2025 11:03:42 +0200

revpi-security (0.1.0-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * Initial commit
  * chore: Initial project setup
  * feat: Add pam_faillock config

  [ Thomas Böhler ]
  * fix(faillock): auth attempts should be 5
  * fix(faillock): give parameters to all calls
  * fix(faillock): allow revpi-faillock alone

  [ Marc Kittner ]
  * feat(deb): Init debian package

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 29 Jul 2025 14:24:34 +0200

=== debian/control ===
Source: revpi-security
Section: admin
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-security
Vcs-Git: https://gitlab.com/revolutionpi/revpi-security.git -b debian/bookworm
Build-Depends:
  cmake,
  debhelper-compat (= 13),
Standards-Version: 4.6.2

Package: revpi-security
Architecture: all
Depends:
  revpi-firewalld-services,
  revpi-pam-faillock,
  revpi-security-ssh,
  ${misc:Depends},
Description: Revolution Pi security tools and configuration (meta-package)
 Meta-package for various tools and configuration for a RevPi.

Package: revpi-pam-faillock
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends},
Depends:
  libpam-runtime,
  ${misc:Depends},
Description: PAM configuration to improve system authentication security
 This package installs a PAM configuration snippet for pam_faillock to
 improve security by limiting repeated failed authentication attempts.
 The configuration is placed in /usr/share/pam-configs and is applied
 non-interactively using `pam-auth-update --package`, ensuring that
 /etc/pam.d/common-* is updated without prompting the user.
 .
 The configuration can be disabled with `pam-auth-update --disable
 revpi-faillock`.

Package: revpi-firewalld-services
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends},
Depends:
  ${misc:Depends},
Description: Firewalld service configuration files for various RevPi services
 Installs various firewalld service configuration files for RevPi services.
 These can be enabled through firewalld through the cli application or through
 Cockpit.

Package: revpi-security-ssh
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends},
Depends:
  ${misc:Depends},
Description: OpenSSH configuration files for hardening sshd
 Contains configuration files to harden the sshd(8) service.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
